summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--build/compile-handlebars-templates.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/build/compile-handlebars-templates.sh b/build/compile-handlebars-templates.sh
new file mode 100644
index 00000000000..1775f45b0fe
--- /dev/null
+++ b/build/compile-handlebars-templates.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+
+REPODIR=`git rev-parse --show-toplevel`
+
+cd $REPODIR
+
+# Settings
+handlebars -n OC.Settings.Templates settings/js/authtoken.handlebars -f settings/js/templates.js
+
+# Contactsmenu
+handlebars -n OC.ContactsMenu.Templates core/js/contactsmenu -f core/js/contactsmenu_templates.js
+
+# Files app
+handlebars -n OCA.Files.FileSummary.Templates apps/files/js/filesummary.handlebars -f apps/files/js/filesummary_template.js
+
+if [[ $(git diff --name-only) ]]; then
+ echo "Please submit your compiled handlebars templates"
+ exit 1
+fi
+
+exit 0